Subject: Re: bug#53644: 29.0.50; xref-search-program breaks if programm not installed on a remote host

From: Dmitry Gutov <[email-masked]>
Date: Tue, 15 Feb 2022 18:37:42 +0200

On 15.02.2022 18:32, Philip Kaludercic wrote:
> I am biased, but I do prefer the current state of the patch.  If you
> think it would help, I could comment it out more?

It's not like I don't understand what it's doing on every line of the 
code (roughly), more like it exceeds the max level of complexity I'd 
like to see in a function. Which is not a problem for us now, but is 
likely to become such for someone who comes later.

It could slow down some future changes too, though.

I'm obviously biased myself, so more opinions welcome.